Subject: Turpentine & Parasites

From: [email-masked] (Henry Jacobs)
Date: Sat, 22 Jul 1995 11:03:57 -0400

Is anyone familiar with using a few drops of turpentine in water taken
orally to expell worms?  If you have any info - pro or con - please post. 
Also if you have any references to its use as a vermicide please inform. 
I have heard of it used in vetinary medicine but cannot find any
references either in this field nor for human use.   Thanks